# QCA::CRLContextProps Class Reference
[QCA provider API]

X.509 certificate revocation list properties. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::CRLContextProps:

[legend]

List of all members.

## Public Attributes

CertificateInfoOrdered | issuer
QByteArray | issuerId
QDateTime | nextUpdate
int | number
QList< CRLEntry > | revoked
QByteArray | sig
SignatureAlgorithm | sigalgo
QDateTime | thisUpdate

## Detailed Description

X.509 certificate revocation list properties.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CRL instead.

For efficiency and simplicity, the members are directly accessed.

## Member Data Documentation

CertificateInfoOrdered QCA::CRLContextProps::issuer

The issuer information of the CRL.

QByteArray QCA::CRLContextProps::issuerId

The issuer id.

QDateTime QCA::CRLContextProps::nextUpdate

The time this CRL expires, and the next CRL should be fetched.

int QCA::CRLContextProps::number

The CRL number, which increases at each update.

QList<CRLEntry> QCA::CRLContextProps::revoked

The revoked entries.

QByteArray QCA::CRLContextProps::sig

The signature data of the CRL.

SignatureAlgorithm QCA::CRLContextProps::sigalgo

The signature algorithm used by the issuer to sign the CRL.

QDateTime QCA::CRLContextProps::thisUpdate

The time this CRL was created.

The documentation for this class was generated from the following file:

- qcaprovider.h